---
title: "List accessible reports"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/follow-access/reports`

## Path parameters

- `id` (`entity-list-accessible-reports.path.id`; string, required)
  - format `uuid`

## Query parameters

- `limit` (`entity-list-accessible-reports.query.limit`; number, optional)
  - min 1; max 100; default `20`
- `offset` (`entity-list-accessible-reports.query.offset`; number, optional)
  - min 0; default `0`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/follow-access/reports'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/follow-access/reports';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/follow-access/reports"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "reports": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
      "userId": "string",
      "title": "string",
      "description": "string",
      "reportType": "string",
      "status": "string",
      "isPublic": true,
      "currentVersionId": "7d3c5b66-ff6d-477a-9982-96f00519947f",
      "createdAt": "string",
      "updatedAt": "string",
      "fiscalPeriodStart": "string",
      "fiscalPeriodEnd": "string",
      "accessSource": "owner"
    }
  ]
}
```

- `reports` (`entity-list-accessible-reports.response.200.reports`; array<object>, required)
  - `id` (`entity-list-accessible-reports.response.200.reports.id`; string, required)
    - format `uuid`
  - `title` (`entity-list-accessible-reports.response.200.reports.title`; string, required)
  - `description` (`entity-list-accessible-reports.response.200.reports.description`; string, required, nullable)
  - `reportType` (`entity-list-accessible-reports.response.200.reports.reportType`; string, required)
  - `status` (`entity-list-accessible-reports.response.200.reports.status`; string, required)
  - `isPublic` (`entity-list-accessible-reports.response.200.reports.isPublic`; boolean, required)
  - `createdAt` (`entity-list-accessible-reports.response.200.reports.createdAt`; string, required)
  - `updatedAt` (`entity-list-accessible-reports.response.200.reports.updatedAt`; string, required)
  - `fiscalPeriodStart` (`entity-list-accessible-reports.response.200.reports.fiscalPeriodStart`; string, required, nullable)
  - `fiscalPeriodEnd` (`entity-list-accessible-reports.response.200.reports.fiscalPeriodEnd`; string, required, nullable)
  - `accessSource` (`entity-list-accessible-reports.response.200.reports.accessSource`; string, required)
    - one of `"owner"`, `"entity_follow"`
  - `entityId` (`entity-list-accessible-reports.response.200.reports.entityId`; string, optional, nullable)
    - format `uuid`
  - `userId` (`entity-list-accessible-reports.response.200.reports.userId`; string, optional)
  - `currentVersionId` (`entity-list-accessible-reports.response.200.reports.currentVersionId`; string, optional, nullable)
    - format `uuid`

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.400.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.401.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.403.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.404.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.409.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 422

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.422.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.422.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.422.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.422.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.422.error.traceId`; string, optional) — Unique ID for log correlation

### 429

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.429.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.429.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.429.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.429.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.429.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.500.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.500.error.traceId`; string, optional) — Unique ID for log correlation

### 503

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`entity-list-accessible-reports.response.503.error`; object, required)
  - `code` (`entity-list-accessible-reports.response.503.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`entity-list-accessible-reports.response.503.error.message`; string, required) — Human-readable error message
  - `details` (`entity-list-accessible-reports.response.503.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`entity-list-accessible-reports.response.503.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/entity-list-accessible-reports/index.md
